#include <Wire.h>

char recByte = 0;
char outBytes[3];

void receiveEvent()
{
  if(Wire.available())
    recByte = Wire.read();
}

void requestEvent()
{
  Wire.write(outBytes); 
}


void setup() {
  pinMode(13,OUTPUT);//светодиод на плате индикатор фольги
  pinMode(12,OUTPUT);//тригер центр
  pinMode(11,INPUT);//эхо центр
  pinMode(8,OUTPUT);//тригер право
  pinMode(9,INPUT);//эхо право  
  pinMode(A0,INPUT);//кнопка фольги
  Serial.begin(9600);
  Wire.begin(0x18);
  Wire.onReceive(receiveEvent);
  Wire.onRequest(requestEvent);
}
unsigned int impT1=0;
unsigned int dis_sm1=0;
unsigned int impT2=0;
unsigned int dis_sm2=0;

void loop() {
  Serial.println(analogRead(A0));
  if(analogRead(A0)>800)
    {
      digitalWrite(13,1);
      outBytes[0]=16;
    }
    else
    {
      digitalWrite(13,0);
      outBytes[0]=18;
    }
    digitalWrite(12,HIGH);
    delayMicroseconds(10);
    digitalWrite(12,LOW);
    impT1=pulseIn(11,HIGH);
    dis_sm1=impT1/58;
    Serial.println(dis_sm1);
    outBytes[1]=dis_sm1;
    
    digitalWrite(8,HIGH);
    delayMicroseconds(10);
    digitalWrite(8,LOW);
    impT2=pulseIn(9,HIGH);
    dis_sm2=impT2/58;
    Serial.println(dis_sm2);
    outBytes[2]=dis_sm2;
    Serial.println();
  delay(150);
}
